Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

4 - Toutes les autres applications, les émulateurs...

> Forums de discussion > 4 - Toutes les autres applications, les émulateurs... > [RESOLUJ] télécharger un .deb ou son dépôt ?
Dernier post

[RESOLUJ] télécharger un .deb ou son dépôt ?

calixtus06 Articles : 581 utilisateur non connecté
hello, je suis allé voir le forum de musescore car malgré mes lectures je ne parvenais pas à espacer correctement les notes .

Très rapidement les types du forums me disent que je dois être sous une version antérieure à la 3.3 et effectivement je suis sous la 2.? .

Du coup pour bénéficier des mises à jour, il faudrait que je trouve le dépôt avec la dernière version mais où est il ?

Est ce qu'en téléchargeant un .deb on bénéficie des mises à jour ??

Merci d'avance

Nico

Geis007 Articles : 74 utilisateur non connecté France
Salut calixtus.

Avant tout, quelle est ta distribution ?

Le plus simple, et de très loin, est d'utiliser le gestionnaire de paquetages (de logiciels) inclus dans ta distro, qui n'installe que des paquetages parfaitement (en théorie) adaptés à ton système, disponibles sur les dépôts officiels. De plus, ton système vérifie les mises à jour et les installe automatiquement (ou t'en alerte).
Si ta distribution est trop ancienne, il est possible que les mises à jour ne soient plus maintenues, et que musescore n'y passe jamais en version 3. Il peut être envisageable de mettre à niveau ta distro, chose qui se fait généralement sans duleur si on a pris la précaution d'installer le /home sur une partition différente.

Certains sites peuvent proposer des paquetages rpm ou deb installables à télécharger. Vérifie bien de télécharger la version pour ta distribution (si elle existe). Sinon, gros risques d'incompatibilité. Après, selon ta distro, l'installation peut se faire graphiquement (à la souris) ou en ligne de commande.
Un tel paquetage ne provenant pas des dépôts, ton système ne saura pas gérer les mises à jour, ce sera à toi de surveiller.

Enfin, dernière méthode possible, la compilation à partir des sources. Ça peut se faire tout seul (en 3 commandes) mais s'il y a problème, il faut savoir décoder les infos données pour installer telle ou telle bibliothèque manquante, adapter tel ou tel paramètre... Bref ! Soit ça passe, soit ça... galère !

Avant d'aller plus loin, je renouvelle ma question : Quelle est ta distribution (et sa version) ?

calixtus06 Articles : 581 utilisateur non connecté
Hello, je suis sous librazik2 et je viens de "résoudre " le problème , il me manquait les backport de buster . Je les ai rajouté dans les sources.list.

Geis007 Articles : 74 utilisateur non connecté France
Super !
source.list = dépôts
Tout est automatique et tu auras les mises à jour. :-)

calixtus06 Articles : 581 utilisateur non connecté
Salut par contre comment indiquer aux source list d'aller sur les dépôts français plutôt qu'américains ? Il y a un changement sur la syntaxe de l'adresse mais je ne retrouve pas comment faire . Merci d'avance.

olinuxx Articles : 16225 utilisateur non connecté France
Il n'est pas normal que les dépôts backport n'aient pas été installés. Ils doivent l'être de base sur une installation de LibraZiK.

Montre moi les dépôts (Synaptic -> Configuration -> Dépôts) pour vérifier que tout est correct.

calixtus06 écrit :
comment indiquer aux source list d'aller sur les dépôts français plutôt qu'américains ? Il y a un changement sur la syntaxe de l'adresse mais je ne retrouve pas comment faire .


Normalement, les dépôts de LibraZiK sont réglés pour être ceux qui répondent le plus vite. OSEF de savoir s'ils sont FR ou US, l'important c'est qu'ils répondent le plus rapidement.

Là aussi, montre moi les dépôts.

calixtus06 Articles : 581 utilisateur non connecté
Salut !

Image

... Est ce que les backports de buster qui me permettent d'obtenir musescore 3 déstabilisent ma librazik ?

olinuxx Articles : 16225 utilisateur non connecté France
Oulalala... LibraZiK-2 est faite pour fonctionner avec Debian Stretch, pas Buster.
Ton système est cassé si tu as des choses installées depuis "buster-backport".

Pour info, il y a une version 3.2.3 de Musescore dans LZK-2 et tu devrais donc pouvoir l'installer avec Synaptic.

Afficher les articles :
Aller au forum :

Documentation [Afficher / Cacher]

Connexion
[Afficher / Cacher]


ycollet
r1

Mégaphone [Afficher / Cacher]

olinuxx, 23:05, mar. 02 Jun 2020: Bonjour et bienvenue à LeLapin cool
olinuxx, 23:50, lun. 01 Jun 2020: Bonjour et bienvenue à emberger cool
sub26nico, 10:26, dim. 31 mai 2020: Salut et bienvenue à billybilly2 :-)
moncopainalain, 11:19, sam. 30 mai 2020: Confiné,j'ai écris Homescape, l'idée c'est d'enregistrer des sons pour faire de l’électro : [Lien] ça tourne sur pure data ou sur android en téléchargeant l'apk avec script fourni... Partagez. contactez moi.
olof, 09:15, jeu. 28 mai 2020: Ardour 6 est sorti.
olinuxx, 16:40, mar. 26 mai 2020: Bonjour et bienvenue à Jean Emberger et à JazzAddict cool
Sahaathyva, 23:49, lun. 25 mai 2020: ok pour la 1.3 , celle qui est censée supporter l'audio ;) @r1: lmms est mis de coté pour ma part à l'heure actuelle. là j'essaie d'aider Alex pour ZRythm mais dans la mesure de mes simples compétences
r1, 22:47, lun. 25 mai 2020: @Sahaathyva : Pour accélérer le mouvement, tu peux aussi participer au développement de lmms ! :-)
r1, 22:45, lun. 25 mai 2020: Excellente nouvelle pour lmms ! Et pour Ardour aussi d'ailleurs :-D
sub26nico, 21:21, lun. 25 mai 2020: ardour.org semble être redevenu fonctionnel, mais pas encore le forum
ycollet, 20:44, lun. 25 mai 2020: Aucune idée ... J'imagine plutôt une 1.3.0
Sahaathyva, 18:01, lun. 25 mai 2020: Desole pour les fautes de frappe je hais les claviers tactiles. Sinon ycollet c est annonce pour la 1.2.2 les lv2?